Titanium SDK 3.5.1 RC with Node 0.12 Support

http://www1.istockphoto.com/file_thumbview_approve/17294611/2

Node.js recently released Version 0.12 which makes some small changes in core APIs. We’re pleased to announce Release Candidates for the Titanium CLI, SDK and Appcelerator Studio (LiveView) that offer compatibility with Node 0.12.

This release addresses the following:

  • Critical compatibility bugs with Node 0.12
  • High-priority iOS and Android bugs.

A full list of tickets is available via JIRA. A more in-depth discussion of the release can be found in the release notes.

Step 1: Update Titanium CLI to 3.4.2-rc

Note: You may need to use ‘sudo’ before these terminal commands on OSX and Linux

npm install -g titanium@3.4.2-rc

To revert back to stable versions:

npm remove -g titanium
npm install -g titanium

Step 2: Update Titanium SDK to 3.5.1.RC

Note: You cannot use older SDKs with Node.js 0.12 (TIMOB-18629).

Right-click to copy the relevant URL for your OS:

To install via Studio, choose Help > Install Titanium/Appcelerator SDK….

To install via CLI, use:

ti sdk install -d [URL]

Step 3: Update Appcelerator Studio to 3.4.2.RC

There is no update necessary for Titanium Studio, since only Appcelerator Studio’s LiveView is affected.

Note: If you have Appcelerator Studio installed you need to update even if you are not actively using it, because the broken LiveView hook will still be loaded.

  • Go to Preferences… > Studio > Updates.
  • Change the install stream to Release Candidate and press OK.
  • Go to Help > Check for Appcelerator Updates to check for updates and walk through the update wizard.

4 COMMENTS

    • 3_5_1_GA would be a tag for us, but won’t be created until we actually release as GA. 3_5_X is the branch, which exists. What are you looking for?

Comments are closed.